title: "GitHub Enterprise vs. GitLab EE"
pdf: gitlab-ee-vs-github-enterprise.pdf
competitor_one:
  name: 'GitLab Enterprise Edition'
  logo: '/images/comparison/ee-gitlab-logo.svg'
competitor_two:
  name: 'GitHub Enterprise'
  logo: '/images/comparison/github-logo.svg'
last_updated: 'January 31, 2017'
features:
  - title: "Handles huge repositories well"
    description: "Big repository? Huge (>5GB) binary files? No problem. GitLab is built to handle very large repositories, and Git LFS is supported."
    link_description: "Git LFS documentation"
    link: https://docs.gitlab.com/ee/workflow/lfs/manage_large_binaries_with_git_lfs.html
    competitor_one: true
    competitor_two: true
  - title: "One integrated tool"
    description: "GitHub requires the integration of multiple 3rd party tools to complete the software development lifecycle. GitLab has a completely integrated solution that covers the entire development lifecycle."
    link_description:
    link:
    competitor_one: true
    competitor_two: false
  - title: "Access to the server"
    description: "You have complete control of the server/instance, so you can install additional software (intrusion detection, performance monitoring, etc.) and view log files on the server itself."
    link_description: "Learn more about logging"
    link: https://docs.gitlab.com/ce/administration/logs.html
    competitor_one: true
    competitor_two: false
  - title: "Runs on metal"
    description: "GitLab can run on metal, if you choose to. GitHub needs to be run in a VM."
    link_description: ""
    link:
    competitor_one: true
    competitor_two: false
  - title: "HA setups"
    description: "For mission critical releases, you cannot afford downtime. GitHub bundles everything (app server, database etc) into a virtual appliance, while GitLab offers support for HA. GitHub also requires you to shut down your server for back-ups preventing the delivery of code, while with GitLab, you can work in readonly mode during backups."
    link_description: "More information about active servers"
    link: https://about.gitlab.com/high-availability/
    competitor_one: true
    competitor_two: false
  - title: "Run your own software on your instance"
    description: "You are free to run your own software on the instance that GitLab is running on. Have your own intrusion detection system? No problem."
    link_description: ""
    link:
    competitor_one: true
    competitor_two: false
  - title: "Use your configuration management software"
    description: "GitHub requires the complex configuration of integration tools, from CI to chat apps. With GitLab, you can use your choice of configuration management software, from Puppet, Chef, Ansible for quick and straightforward implementation."
    link_description: "Read about configuration management here"
    link: https://about.gitlab.com/installation/
    competitor_one: true
    competitor_two: false
  - title: "Track app deployments with Deploy Boards"
    description: "Deploy Boards offer a consolidated view of the current health and status of each CI environment running on Kubernetes, pod by pod. Not available with most of GitHub's third party CI/CD solutions."
    link_description: "Learn more about Deploy Boards"
    link: https://docs.gitlab.com/ee/user/project/deploy_boards.html
    competitor_one: true
    competitor_two: false
  - title: "Use standard Unix tools for maintenance and monitoring"
    description: "Use the tools you know for monitoring and maintenance, whether they're standard or your own. GitLab doesn't restrict you."
    link_description: ""
    link:
    competitor_one: true
    competitor_two: false
  - title: "Powerful AD / LDAP integration"
    description: "Sync groups, manage SSH-keys, manage permissions, authentication and more. You can manage an entire GitLab instance through the LDAP / AD integration."
    link_description: "More information about AD / LDAP integration"
    link: https://docs.gitlab.com/ee/administration/auth/ldap.html
    competitor_one: true
    competitor_two: true
  - title: "Multiple approvals in code review"
    description: "In GitLab, to ensure strict code review, you can require a specific number of approvals on a merge request by different users before being able to merge it. You can undo an approval by removing it after the fact."
    link_description: "Approvals Documentation"
    link: https://docs.gitlab.com/ee/user/project/merge_requests/merge_request_approvals.html
    competitor_one: true
    competitor_two: false
  - title: "Ease of Migration"
    description: "GitLab lets you easily migrate all repos and merge request data from your previous provider."
    link_description: ""
    link:
    competitor_one: true
    competitor_two: sortof
  - title: "Chat integration"
    description: "GitLab ships with Mattermost, an open-source Slack alternative. GitHub requires the installation or the purchase of an external tool."
    link_description:
    link:
    competitor_one: true
    competitor_two: false
  - title: "Issue Weights"
    description: "GitLab lest you manage issues using Agile practices by setting the weight of an issue."
    link_description: "Issue Weights Documentation"
    link: https://docs.gitlab.com/ee/workflow/issue_weight.html
    competitor_one: true
    competitor_two: false
  - title: "Custom Push Rules (pre-received hooks)"
    description: "GitHub allows site administrators to create pre-received hooks at a global or project level. GitLab also allows the creation of those hooks at a project or global level, but they can be set by either the project owner or an administrator, and provides a simple user interface to define those push rules."
    link_description: "Documentation on push rules"
    link: https://docs.gitlab.com/ee/push_rules/push_rules.html#prevent-pushing-secrets-to-the-repository
    competitor_one: true
    competitor_two: sortof
  - title: "Prevent committing secrets in the repositories"
    description: "GitLab provides a way to avoid committing sensitive files to your repositories automatically."
    link_description: "Documentation"
    link: https://docs.gitlab.com/ee/push_rules/push_rules.html#prevent-pushing-secrets-to-the-repository
    competitor_one: true
    competitor_two: false
  - title: "Ability to set a project size"
    description: "GitLab allows to set a project size limit at a global, group and project level."
    link_description: "Documentation on account and limit settings"
    link: https://docs.gitlab.com/ee/user/admin_area/settings/account_and_limit_settings.html
    competitor_one: true
    competitor_two: false
  - title: "Multiple issues and merge request templates"
    description: "Create a template for issues and merge requests in your project to ensure all information is entered correctly and to make it easy to standardize. While GitHub only allows one template, GitLab allows multiple templates."
    link_description: "Templates for Issues and Merge Requests Documentation"
    link: https://docs.gitlab.com/ee/customization/issue_and_merge_request_template.html
    competitor_one: true
    competitor_two: sortof
  - title: "Geographic Replication with GitLab Geo"
    description: "To improve collaboration, remote teams need the ability to be able to seamlessly work across geographical boundaries. GitLab Geo creates read only mirrors of your GitLab instance so your remote employees can clone and fetch large repos quickly, while GitHub has no similar feature."
    link_description: "Read the Geo docs for more information"
    link: http://docs.gitlab.com/ee/gitlab-geo/
    competitor_one: true
    competitor_two: false
  - title: "Lock Files"
    description: "Working with multiple people on the same file can be a risk. Conflicts when merging a non-text file are hard to overcome and will require a lot of manual work to resolve. With GitLab, File Locking helps you avoid merge conflicts and better manage your binary files by preventing everyone, except you, from modifying a specific file or entire directory."
    link_description: "Read the File Locking documentation"
    link: http://docs.gitlab.com/ee/user/project/file_lock.html
    competitor_one: true
    competitor_two: false
  - title: "Application performance monitoring"
    description: "GitLab collects and displays performance metrics for deployed apps, leveraging Prometheus. Developers can quickly and easily determine the impact of any changes, without leaving GitLab. GitHub requires a 3rd party product, adding additional cost and separate workflows."
    link_description: "Learn more about monitoring deployed apps"
    link: http://docs.gitlab.com/ce/user/project/integrations/prometheus.html
    competitor_one: true
    competitor_two: false
  - title: "Monitoring built-in"
    description: "GitLab ships with an open source monitoring solution, Prometheus, which offers world-class monitoring of the GitLab service. GitHub only provides hardware metrics using SNMP."
    link_description: "Documentation about Monitoring"
    link: http://docs.gitlab.com/ce/administration/monitoring/prometheus/index.html
    competitor_one: true
    competitor_two: false
  - title: "Access to and possibility to modify your source code"
    description: "GitLab Enterprise Edition is publically readable, meaning you can scan or modify the code to meet your security and development needs. The Ruby code in GitHub is proprietary, meaning you cannot edit or view the source code."
    link_description: "Read the GitLab Enterprise Edition license."
    link: https://gitlab.com/gitlab-org/gitlab-ee/blob/master/LICENSE
    competitor_one: true
    competitor_two: false
  - title: "Reduce costs with simple licence management"
    description: "GitHub requires integration with multiple products, each with different billing cycles. GitHub also has complex licensing rules, whereas GitLab has the simplest licence management, and is simply the most comprehensive and affordable software development solution on the market."
    link description:
    link:
    competitor_one: true
    competitor_two: false
  - title: "Reduce 3rd party maintenance with an integrated solution"
    description: "GitHub’s 3rd party integrations mean that if something breaks, you will need to contact both vendors to address the problem, resulting in longer wait times. With an integrated solution, GitLab’s rapid response time to issues, means that you can be back up and running in no time."
    link description:
    link:
    competitor_one: true
    competitor_two: false
  - title: "Omnibus Installation to get up and running quicker"
    description: "An installation of GitHub requires the implementation of multiple products, each with their own complexities. GitLab has an omnibus package which spans the entire software supply chain, and has all dependencies built in for a simple and straightforward installation and configuration."
    link description:
    link:
    competitor_one: true
    competitor_two: false
  - title: "Review your teams performance with Cycle Analytics"
    description: "Team want to improve their each stage of their workflow, but are faced with no way to measure this with GitHub with it’s 3rd party integrations. With built in Cycle Analytics, GitLab records the median time it takes the team to complete each stage in their workflow from idea to production, and provides insights into areas for improvement."
    link description:
    link:
    competitor_one: true
    competitor_two: false
  - title: "New features every month"
    description: "GitLab is updated with new features and improvements every month on the 22nd."
    link_description: ""
    link:
    competitor_one: true
    competitor_two: false
